PHP: Hypertext Preprocessor, usually referred to as PHP, is a famous general-purpose server-side programming language, which is used to create dynamic sites with interactive elements such as Internet forums, online learning portals or community sites. In contrast to static HTML websites, a PHP website can display different content to each user under the same exact URL. Considering the fact that PHP-based web-based applications can be managed via a single Control Panel tool, which you can sign into from any browser, you will not need to have any web development knowledge or previous experience in order to run a PHP-driven website. The fact that hundreds of millions of websites all over the globe are created in PHP is an indication of the language’s popularity and ease of use. You only ought to confirm that the web server on which your site is hosted supports the exact same PHP version as the one that you used while building the website.

PHP 4 and PHP 5 Support in Hosting

Our hosting servers support several PHP versions, which implies that your websites will work without any problems no matter if your PHP scripts are out of date. We accept the fact that an old site does not automatically equal an insecure one as you may have performed plenty of mods to its source code. That is the reason why we support PHP 4, 5.2, 5.3, 5.4 and 5.5 and you can decide which one will be active for your web hosting account. The version can be changed with only one single mouse click from your Hepsia hosting Control Panel and the update will take effect right away. If you wish to run both older and newer scripts, there’s even an option to use a different version of PHP for each domain name of yours at the same time.

PHP 4 and PHP 5 Support in Semi-dedicated Servers

Our semi-dedicated servers support multiple versions of PHP, which suggests that you will be able to use all the web apps that you have set up throughout the years. The Hepsia Control Panel, which comes with each semi-dedicated server account, will allow you to enable the required version with just one click of the mouse. You can choose between PHP 5.5, 5.4, 5.3, 5.2 and 4. If you would like to host multiple websites under the very same account and they have distinct requirements in regard to the web hosting environment, you will be able to specify a different PHP version for each one of them irrespective of which version is enabled for the account as a whole. That’s achievable thanks to our in-house built cloud platform, which permits us to run several PHP versions at once. In contrast, the majority of hosting companies typically support one, in exceptionally rare cases – two versions.